.task-item-edit {
  &__container {
    margin: 0;
    padding: 16px;
    background-color: #f5f5f5;
    border-radius: 8px;

    &__form {
      display: flex;
      flex-direction: column;
      row-gap: 8px;

      &__title {
        display: flex;
        align-self: center;
        margin: 0px 0px 8px;
        font-size: 18px;
        font-weight: bold;
        color: #7c7b7b;
      }

      &__inputs {
        display: flex;
        flex-direction: column;

        &__title {
          display: flex;
          flex-direction: column;

          &__container {
            display: flex;
            align-items: center;
            margin-top: 4px;

            input {
              padding: 4px;
            }

            &__task {
              flex: 1;
              margin-right: 64px;
            }

            &__check {
              margin: 0;
              padding: 0;
              width: 36px;
              height: 36px;
            }
          }
        }

        &__description {
          display: flex;
          flex-direction: column;

          input {
            margin-top: 4px;
            padding: 4px;
            flex: 1;
          }
        }
      }

      &__actions {
        display: flex;
        justify-content: flex-end;
        column-gap: 8px;
        padding-top: 8px;

        button {
          display: flex;
          align-items: center;
          justify-content: center;
          min-width: 120px;
          max-height: 36px;
          line-height: 1;
          padding: 16px;
          cursor: pointer;

          font-size: 12px;
          font-weight: bold;
          text-decoration: none;
          color: #ffffff;
          border-radius: 8px;
          border: #ffffff;
          transition: 0.3s;
        }

        button:hover {
          opacity: 0.7;
        }

        &__update {
          background-color: #2196f3;
        }

        &__update:disabled {
          background-color: #bedef9;
        }

        &__cancel {
          background-color: #f60909;
        }
      }
    }
  }
}
